tools for installing and maintaining software packages

learn more… | top users | synonyms (1)

2
votes
1answer
439 views

Why I was able to fix a broken package with aptitude but I could not with either apt-get or synaptic?

Yesterday I upgraded my Debian Testing and Audacious stopped to work. Troubleshooting I found that the problem was that it was updated to a recent version but the needed plugins were not. I tried to ...
2
votes
1answer
23 views

How to run Arch Linux pacaur non-interactively?

I want to be able to install packages unattended with the Arch Linux package manager pacaur. On Ubuntu, one can do: apt-get -y install htop What is the equivalent in Arch Linux, using Pacaur?
2
votes
1answer
20 views

Pacman(Arch linux) on LFS

Is it possible to have a package manager(in my case pacman) on LFS? Not just compiling it will it work?
2
votes
1answer
40 views

Why are the packages in the official repo often very out of date?

I like the idea of a package manager because it's a central source for finding the applications I need and I can keep track of versions and updates very easily. I recently downloaded and installed ...
1
vote
0answers
10 views

Debian repo mirror or cache

Our company will soon have hundreds of vending machines running a custom Debian 7.x based image made with debootstrap. We want to set up the clients to be automatically updated keep the patch levels ...
0
votes
1answer
11 views

Changing manifest values in RPM built with FPM

I'm using the delightfully–named Effing Package Manager (FPM) to build RPMs and DEBs for a project. After publishing the generated RPM with createrepo, I noted the following lines in the generated ...
-1
votes
1answer
34 views

How to get information about deb package archive?

How to get information about .deb package archive? Like: package information, version, installed-size, architecture, description and licensing information etc. from .deb package archive?
2
votes
3answers
644 views

Zentyal dpkg dependecy install problems because packages are not configured

I have done a fresh install of Zentyal 3.5, which is based on Ubuntu 14.04. To be fully operational, several modules must be installed. Many of these modules failed to install since a chain of them ...
1
vote
1answer
4k views

How to install ap-hotspot

I can't seem to install ap-hotspot on ubuntu 12.04. I read somewhere that I should run the following commands: $ sudo su - # add-apt-repository ppa:nilarimogard/webupd8 # aptitude update # aptitude ...
-1
votes
1answer
27 views

I can't install any packages [on hold]

W: Not using locking for read only lock file /var/lib/dpkg/lock E: Unable to write to /var/cache/apt/ E: The package lists or status file could not be parsed or opened.
2
votes
1answer
459 views

Can't Install netflix-desktop in Debian…Aptitude Has Unmet/Broken Dependencies

I'm trying to install the netflix-desktop package in Debian 'jessie'. I was able to get this to work on my laptop running Debian 'wheezy' a few months ago, but on my desktop I keep running into these ...
0
votes
1answer
322 views

Update from elementary OS Freya beta to stable

Freya stable released toady and I have installed Freya beta 2. I want to update to stable so tried using sudo apt-get dist-upgradebut it shows nothing. Do I have to make a clean install or is a update ...
1
vote
1answer
2k views

“UnicodeDecodeError: 'utf-8' codec can't decode byte 0xff in position 0: invalid start byte” error when attempting to remove nvidia-304 package

I'm trying to remove package nvidia-304 from my system (Ubuntu 14.04) but I'm getting this error: Do you want to continue? [Y/n] y (Reading database ... 283298 files and directories currently ...
0
votes
2answers
27 views

Package deb dependencies unmet error

I am trying to install deb package in a new AWS 14.04 ami instance, but it fail with the following error - The following packages have unmet dependencies: youtube-snapshot-taker : Depends: firefox ...
0
votes
0answers
23 views

How to convert .sh to arch packages? [closed]

How to convert .sh to arch packages? Technically I'm a new manjaro user coming from debian/ubuntu world. There are packages out there that are not available in arch repo, or perhaps they are orphan ...
0
votes
1answer
18 views

Is there an Arch community repository system for Debian?

I'm looking for a way of having my package searchable by other Debian users from the command line. I don't want to go through the process of having to get a sponsor. Is there some kind of community ...
1
vote
1answer
34 views

Why apt wants to remove gnome-core when I try to remove gnome-terminal only?

Why apt wants to remove gnome-core when I try to remove gnome-terminal only? I am also wondering why apt is considering many packages useless? I am using latest version of Kali Linux and it is based ...
7
votes
1answer
29k views

CentOS - install using yum Apache 2.4

I need Apache 2.4 in CentOS because with Apache 2.2 mod_proxy_wstunnel is not possible. I have tried this, but unfortunately its for RHEL. After installing, I can't execute the Apache 2.4. Can anyone ...
2
votes
1answer
26 views

When should I restart my computer after an update?

When I use a GUI updater, sometimes it says that my computer needs to be restarted. But when I use apt-get upgrade for example, I can't find messages like this. I saw this answer, so do I need to ...
1
vote
2answers
596 views

apt-get error: trying to overwrite shared 'filename', which is different from other instances of package 'package'

I tried installing several Ubuntu packages on Debian Wheezy, but it failed and now I have broken packages. The problem is, running apt-get -f install fails as well, with this error: Preparing to ...
1
vote
2answers
1k views

“Packages have unmet dependencies” but I don't want to install these packages anymore. How do I clean this?

You might want to run 'apt-get -f install' to correct these: The following packages have unmet dependencies: fglrx-driver : Depends: libfglrx (= 1:14.4.2-1kali1) but it is not going to be installed ...
1
vote
0answers
14 views

How to use a package revision not yet in the published nixpkgs (but described in the development bracnhes of nixpkgs)?

I'd like to use the new release of ghc (7.10, because of a new feature -- static ptr), and I'm using a single-user nix environment. I don't find the wanted new release in the published lists at ...
1
vote
2answers
38 views

yum is trying to install a package PLUS dependency - I DO NOT want that dependency

I am trying to install grive in my CentOS server. The rpm available is: grive-0.3.0-1.el6.xz.x86_64.rpm The problem is that the rpm seems to be tied to json-c version 0.11 but the one I really need ...
2
votes
2answers
66 views

Clone Python from one linux machine to another

I want to run some of my python scripts on my new Linux (Centos 6.5) machine that I developed on another Linux machine (also Centos 6.5). But my problem is that my new machine is not having internet ...
0
votes
1answer
13 views

messed up system after offline package installation for WLAN driver

I'm running Linux Mint 17.1 on my old desktop pc. Since I moved, I had no internet connection, but could use the WLAN of my neighbors. For that, I had to install an old FRITZ! USB WLAN driver. I did ...
1
vote
1answer
35 views
7
votes
4answers
1k views

Differences in package management between Debian and Arch

A discussion from this post made me curious of differences between Debian and Arch package management. Also, people tend to say that Arch is very light-weight, so I wonder what that has to do with ...
1
vote
0answers
13 views

How can a package's license be determined using OPKG package manager?

OPKG is used as the package manager in an embedded Linux system. I would like to be able to determine the license of a package prior to installing the package. Is there a simple way to achieve this ...
0
votes
0answers
17 views

pkg_add : Error message “ftp() in free(): error: chunk is already free” when installing a new package

I have error message "ftp(xxxxx) in free(): error: chunk is already free" at random times when installing a new package, for example : # pkg_add -i emacs quirks-2.9 signed on 2014-07-31T22:37:55Z ...
0
votes
0answers
35 views

Repackage RPM with kernel

I am tinkering with CentOS 5.4 and upgrading the kernel to the latest 2.6.18 build 402. What I need to do is to rebuild the initrd to include a modified init script, then repackage it all into an RPM ...
2
votes
2answers
459 views

What is an appropriate naming structure for storing application packages?

I need to determine an appropriate directory naming structure for a package management system. The original directory structure was not POSIX-compliant in any way and certainly not UNIX-style (you'll ...
1
vote
1answer
69 views

Missing file command?

I'm running OpenMediaVault which is a Debian based Linux distribution and the file command is missing. Is there any way to install it?
2
votes
1answer
22 views

Can I check which repositories were used for a previous apt-get update?

I stupidly included a Kali repo on my Debian machine and ran apt-get update. I need to check what packages were updated from the Kali repo and if need be replace/remove if needed. I'm not sure if ...
1
vote
1answer
60 views

Adding Kali repositories has changed the output of lsb_release on Debian host

I installed Kali in virtualbox with Debian as my host. I've done it several times. But, when I reboot my host I noticed Debian is missing from the list of OS'es in the GRUB menu. It's showing Kali. ...
7
votes
4answers
2k views

Package management strategy with Pacman

Since I switched my favorite distro to Gentoo I have been very familiar with the following pattern for installing and removing packages: Install a bunch of applications that do pretty much the same ...
3
votes
2answers
11k views

Every package “has no installation candidate”

While attempting to install openssh-server on Ubuntu 14.04 64-bit, I get the following error: Package openssh-server is not available but is referred to by another package. This may mean that the ...
4
votes
2answers
1k views

How can I responsibly run updates automatically on Arch Linux?

I'm a bit of a newcomer to Arch Linux and still getting used to some of its paradigms. I come with a lot of habits from another distro that was quite a bit more structured and in some ways ...
0
votes
0answers
21 views

How do I move a installed package (installed in a USB), back into my computer's home directory?

How do I move an installed package (installed on a USB) back into my computer's home directory? First of all, I am running a Linux machine. I have installed the package libmodbus in my usb directory ...
0
votes
2answers
47 views

Unable to connect to ftp.us.debian.org:http: [IP: 64.50.236.52 80]

I am trying to do an apt-get update and apt-get upgrade on my Debian Wheezy armhf system, but the upgrade is failing with the above error. Networking is working, and my /etc/apt/sources.list is: ...
4
votes
3answers
168 views

How can I find the package that contains a program in Debian? [duplicate]

I am using a minimal Debian system which does not have the top program installed. I tried to install top with sudo apt-get install top, but top is not a package name. It seems that top is a part of ...
4
votes
1answer
62 views

How do I replicate installed package selections from one Debian system to another? (Debian Wheezy)

I am trying to set up a staging environment in a VM, in order to test updates before applying them to my main system. In order to do so, I have done a basic installation of Debian Wheezy (same as on ...
1
vote
1answer
2k views

building Debian package fails at dh_auto_install stage

I'm trying to build a very simple debian package. I have two files, main_file and functions, they are both shell scripts, functions is sourced by main_file. There are no dependencies on any external ...
1
vote
1answer
323 views

Adding openSuSe mono repository?

Question: I want to install mono3 from here: http://download.mono-project.com/archive/3.0.3/linux/x64/ How can I add this link to the appropriate OpenSuse package installation program ? I tried ...
6
votes
1answer
133 views

Preventing Nix from upgrading git to git-full

I'm using Nix on Ubuntu to have more modern versions of some packages, one of them being git. When I'm run nix-env -u, this is what happens: % nix-env -u --dry-run '*' (dry run; not doing anything) ...
5
votes
2answers
103 views

Nix: Skipping unit tests when installing a Haskell package

I'm using Nix to install packages under my home (so no binary packages) on a shared host with limited resources. I'm trying to install git-annex. When building one of its dependencies, haskell-lens, ...
2
votes
1answer
111 views

Is it safe to install software globally with npm?

The node.js package manager, npm, has an option to install packages globally. Since distributions typically have their own package manager, is it safe to use the global option? Could npm packages ...
0
votes
1answer
47 views

Conflicting answers regarding package from rpm, yum and repoquery

I have a few packages on a RHEL 6.5 system which exhibit the following puzzling behavior: The package is installed; rpm -q reports the package as installed; yum search shows that the package is ...
1
vote
1answer
50 views

Backup and Restore list of installed packages and APT sources

I commonly reinstall Ubuntu and back up my APT stuff [sources, keys and installed package lists] using the tutorial at http://askubuntu.com/a/99151/371765. However I commonly also remove software such ...
1
vote
1answer
425 views

Debian package naming convention?

It's all very confusing. There are different examples out there, for e.g.: <package-name>_<epoch>:<upstream-version>-<debian.version>-<architecture>.deb source: ...
0
votes
1answer
41 views

How to fetch source iproute(2.6.32.130) not patches

I want to look at the source of below package. [root@ovs-1 ~]# rpm -qa | grep iproute iproute-2.6.32-130.el6ost.netns.3.x86_64 I tried to install the src rpm as below, it showing below error. ...